#import <WebObjects/WebObjects.h>
#import "Main.h"

@implementation Main

- (WOComponent *)mainContent;
{
    // Normally, this would do something much more advanced than just always recreating a new page.
    return [WOApp pageWithName:@"MainContent"];
}

- (NSDictionary *)dynamicMainContentAssociations;
{
    WOAssociation *constantStringAssociation;
    WOAssociation *bongleAssociation;

    // Yes, this is beyond contrived...
    constantStringAssociation = [WOAssociation associationWithValue:@"This is a constant string!"];
    bongleAssociation = [WOAssociation associationWithKeyPath:@"bongle"];

    return [NSDictionary dictionaryWithObjectsAndKeys:constantStringAssociation, @"constantString",
        bongleAssociation, @"bongle", nil];
}

- (NSString *)bongle;
{
    return @"Bongle!";
}

@end
